<template>
  <footer>
    <div class="site-map">Карта сайта
      <br>
      <br>
      <ul>
        <li v-for="page in getAllPages" :key="page.path">
          <a :href="'/' + page.path">Ма Пицца - {{page.place}}</a>
        </li>
      </ul>
    </div>
    <div class="map">
      <app-map></app-map>
    </div>
  </footer>
</template>
<script>
import { mapGetters } from "vuex";
import GoogleMap from "./Map";
export default {
  components: {
    "app-map": GoogleMap
  },
  computed: {
    ...mapGetters(["getAllPages"])
  }
};
</script>
<style scoped>
footer {
  display: flex;
  margin-top: 50px;
}
.site-map {
  text-align: left;
  padding-bottom: 10px;
  padding-top: 10px;
  color: #777;
  padding-left: 20px;
  flex: 5;
}

.site-map li {
  display: block;
  padding: 0;
  margin-left: 20px;
}
.site-map a {
  padding-top: 5px;
  display: block;
  padding-bottom: 5px;
  color: #777;
}
.map {
  flex: 8;
}
</style>


